//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.02.04 at 11:26:18 PM CET 
//


package com.zakon.intelektualnasvojina.model.p1Obrazac;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the https.www_serviszaradsapatentima package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: https.www_serviszaradsapatentima
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ZahtevZaPriznanjePatenta }
     * 
     */
    public ZahtevZaPriznanjePatenta createZahtevZaPriznanjePatenta() {
        return new ZahtevZaPriznanjePatenta();
    }

    /**
     * Create an instance of {@link NazivPronalaska }
     * 
     */
    public NazivPronalaska createNazivPronalaska() {
        return new NazivPronalaska();
    }

    /**
     * Create an instance of {@link PopunjavaZavod }
     * 
     */
    public PopunjavaZavod createPopunjavaZavod() {
        return new PopunjavaZavod();
    }

    /**
     * Create an instance of {@link ZahtevZaPriznanjePatenta.BrojPrijave }
     * 
     */
    public ZahtevZaPriznanjePatenta.BrojPrijave createZahtevZaPriznanjePatentaBrojPrijave() {
        return new ZahtevZaPriznanjePatenta.BrojPrijave();
    }

    /**
     * Create an instance of {@link PodnosilacPrijave }
     * 
     */
    public PodnosilacPrijave createPodnosilacPrijave() {
        return new PodnosilacPrijave();
    }

    /**
     * Create an instance of {@link Pronalazac }
     * 
     */
    public Pronalazac createPronalazac() {
        return new Pronalazac();
    }

    /**
     * Create an instance of {@link Punomocnik }
     * 
     */
    public Punomocnik createPunomocnik() {
        return new Punomocnik();
    }

    /**
     * Create an instance of {@link Adresa }
     * 
     */
    public Adresa createAdresa() {
        return new Adresa();
    }

    /**
     * Create an instance of {@link Nadovezivanje }
     * 
     */
    public Nadovezivanje createNadovezivanje() {
        return new Nadovezivanje();
    }

    /**
     * Create an instance of {@link PravoPrvenstvaRanijePrijave }
     * 
     */
    public PravoPrvenstvaRanijePrijave createPravoPrvenstvaRanijePrijave() {
        return new PravoPrvenstvaRanijePrijave();
    }

    /**
     * Create an instance of {@link com.zakon.intelektualnasvojina.model.p1Obrazac.Covek.Ime }
     * 
     */

    public com.zakon.intelektualnasvojina.model.p1Obrazac.Covek.Ime createCovekIme() {
        return new com.zakon.intelektualnasvojina.model.p1Obrazac.Covek.Ime();
    }

    /**
     * Create an instance of {@link com.zakon.intelektualnasvojina.model.p1Obrazac.Covek.Prezime }
     * 
     */
    public com.zakon.intelektualnasvojina.model.p1Obrazac.Covek.Prezime createCovekPrezime() {
        return new com.zakon.intelektualnasvojina.model.p1Obrazac.Covek.Prezime();
    }

    /**
     * Create an instance of {@link NazivPronalaska.Srpski }
     * 
     */
    public NazivPronalaska.Srpski createNazivPronalaskaSrpski() {
        return new NazivPronalaska.Srpski();
    }

    /**
     * Create an instance of {@link NazivPronalaska.Engleski }
     * 
     */
    public NazivPronalaska.Engleski createNazivPronalaskaEngleski() {
        return new NazivPronalaska.Engleski();
    }

    /**
     * Create an instance of {@link PopunjavaZavod.DatumPrijema }
     * 
     */
    public PopunjavaZavod.DatumPrijema createPopunjavaZavodDatumPrijema() {
        return new PopunjavaZavod.DatumPrijema();
    }

    /**
     * Create an instance of {@link PopunjavaZavod.PriznatiDatumPodnosenja }
     * 
     */
    public PopunjavaZavod.PriznatiDatumPodnosenja createPopunjavaZavodPriznatiDatumPodnosenja() {
        return new PopunjavaZavod.PriznatiDatumPodnosenja();
    }

}
